Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 769041 (gtksharp2-removal) - dev-dotnet/gtk-sharp depends on x11-libs/gtk+:2, multiple outstanding bugs
Summary: dev-dotnet/gtk-sharp depends on x11-libs/gtk+:2, multiple outstanding bugs
Status: RESOLVED FIXED
Alias: gtksharp2-removal
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2021-05-24
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PMASKED, Tracker
Depends on: 769050 769059 769062 769068 769077 769080 769083
Blocks: EAPI5Removal gtk2-removal
  Show dependency tree
 
Reported: 2021-02-06 20:03 UTC by Andreas Sturmlechner
Modified: 2021-05-23 12:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-02-06 20:03:47 UTC
x11-libs/gtk+:2 is dead and needs to go away.
Comment 1 Jack 2021-02-06 21:02:35 UTC
Is there any effort yet to actually get rid of gtk+:2?  I have over a dozen installed packages (not including gtk-sharp) that still depend on it.  Where should this properly be discussed? I know this isn't it.
Comment 2 Sam James archtester gentoo-dev Security 2021-02-06 21:11:08 UTC
(In reply to Jack from comment #1)
> Is there any effort yet to actually get rid of gtk+:2?  I have over a dozen
> installed packages (not including gtk-sharp) that still depend on it.  Where
> should this properly be discussed? I know this isn't it.

The tracker this blocks (just added). Note that this effort is just beginning but it has to start somewhere.

We usually avoid discussion in trackers themselves but I guess it’s appropriate if it’s meta and not about individual packages.
Comment 3 Larry the Git Cow gentoo-dev 2021-05-23 12:36:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab7fb81441611777b70102b20272c068cb2b9669

commit ab7fb81441611777b70102b20272c068cb2b9669
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-05-23 12:35:43 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-05-23 12:35:43 +0000

    dev-dotnet/gtk-sharp: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/769041
    Closes: https://bugs.gentoo.org/509398
    Closes: https://bugs.gentoo.org/645786
    Closes: https://bugs.gentoo.org/509396
    Closes: https://bugs.gentoo.org/643048
    Closes: https://bugs.gentoo.org/573520
    Closes: https://bugs.gentoo.org/659422
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 dev-dotnet/gtk-sharp/Manifest                      |  1 -
 .../gtk-sharp-2.12.21-mono-ambiguous-range.patch   | 15 ------
 dev-dotnet/gtk-sharp/gtk-sharp-2.12.21.ebuild      | 62 ----------------------
 dev-dotnet/gtk-sharp/metadata.xml                  |  5 --
 profiles/package.mask                              |  8 ---
 5 files changed, 91 deletions(-)